<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getAugmentationRepReq](./bitburner.singularity.getaugmentationrepreq.md)

## Singularity.getAugmentationRepReq() method

Get reputation requirement of an augmentation.

<b>Signature:</b>

```typescript
getAugmentationRepReq(augName: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  augName | string | Name of Augmentation. |

<b>Returns:</b>

number

Reputation requirement of the augmentation.

## Remarks

RAM cost: 2.5 GB \* 16/4/1

